net.i2p.router.crypto

## Enum FamilyKeyCrypto.Result

- java.lang.Object
- - java.lang.Enum<FamilyKeyCrypto.Result>
  - - net.i2p.router.crypto.FamilyKeyCrypto.Result

- All Implemented Interfaces:
    Serializable, Comparable<FamilyKeyCrypto.Result>
  Enclosing class:
    FamilyKeyCrypto

      public static enum FamilyKeyCrypto.Result
      extends Enum<FamilyKeyCrypto.Result>

  Only STORED_KEY is fully trusted. RI_KEY is Java with key in the RI. NO_KEY is i2pd without a key in the RI.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_KEY`
    `BAD_SIG`
    `INVALID_SIG`
    `NAME_CHANGED`
    `NO_FAMILY`
    `NO_KEY`
    `NO_SIG`
    `RI_KEY`
    `SIG_CHANGED`
    `STORED_KEY`
    `UNSUPPORTED_SIG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FamilyKeyCrypto.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FamilyKeyCrypto.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAD_KEY

          public static final FamilyKeyCrypto.Result BAD_KEY

    - #### BAD_SIG

          public static final FamilyKeyCrypto.Result BAD_SIG

    - #### INVALID_SIG

          public static final FamilyKeyCrypto.Result INVALID_SIG

    - #### NAME_CHANGED

          public static final FamilyKeyCrypto.Result NAME_CHANGED

    - #### NO_FAMILY

          public static final FamilyKeyCrypto.Result NO_FAMILY

    - #### NO_KEY

          public static final FamilyKeyCrypto.Result NO_KEY

    - #### NO_SIG

          public static final FamilyKeyCrypto.Result NO_SIG

    - #### RI_KEY

          public static final FamilyKeyCrypto.Result RI_KEY

    - #### SIG_CHANGED

          public static final FamilyKeyCrypto.Result SIG_CHANGED

    - #### STORED_KEY

          public static final FamilyKeyCrypto.Result STORED_KEY

    - #### UNSUPPORTED_SIG

          public static final FamilyKeyCrypto.Result UNSUPPORTED_SIG

  - ### Method Detail

    - #### valueOf

          public static FamilyKeyCrypto.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static FamilyKeyCrypto.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FamilyKeyCrypto.Result c : FamilyKeyCrypto.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared